import { Injector, Type } from "@angular/core";
import { NodeViewProps, NodeViewRenderer } from "@tiptap/core";
import { Decoration } from 'prosemirror-view';
import { Node as ProseMirrorNode } from 'prosemirror-model';
export declare class AngularNodeViewComponent {
    props: NodeViewProps;
}
interface AngularNodeViewRendererOptions {
    stopEvent?: ((event: Event) => boolean) | null;
    update?: ((node: ProseMirrorNode, decorations: Decoration[]) => boolean) | null;
    injector: Injector;
}
export declare const AngularNodeViewRenderer: (component: Type<AngularNodeViewComponent>, options: AngularNodeViewRendererOptions) => NodeViewRenderer;
export {};
